Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454720 - GK Make Queries Specific when running certain processes
Summary: GK Make Queries Specific when running certain processes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Customer Support Portal
Classification: Retired
Component: Gatekeeper
Version: 1.3.9
Hardware: All
OS: All
medium
medium
Target Milestone: ---
: ---
Assignee: JBoss CSP Bug Watch List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-09 20:59 UTC by Mike Amburn
Modified: 2009-02-09 21:13 UTC (History)
1 user (show)

Fixed In Version: MR8-CSP
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-30 20:45:02 UTC
Type: ---


Attachments (Terms of Use)

Description Mike Amburn 2008-07-09 20:59:53 UTC
Need to make specific queries for some GK processes, e.g. the Initial Response Time Rule. Currently GK gets all cases, but only needs to query for Cases with Status ""New"".

Also need to use EJB's instead of direct DAO calls.

----
Data relocated from Jira (JBNET-2231)

Comment 1 Nathan Lugert 2009-02-09 21:13:32 UTC
Added status specific queries to query for only "New" cases and only "Waiting on Red Hat".


Note You need to log in before you can comment on or make changes to this bug.